
_main:

;clock_testing.c,14 :: 		void main(){
;clock_testing.c,18 :: 		TRISA = 0x01;
	MOVLW      1
	MOVWF      TRISA+0
;clock_testing.c,19 :: 		TRISB = 0x01;     //INT input at RB0
	MOVLW      1
	MOVWF      TRISB+0
;clock_testing.c,20 :: 		TRISC = 0X00;   //SCL-RC3, SDA-RC4
	CLRF       TRISC+0
;clock_testing.c,21 :: 		PORTB = 0xff;
	MOVLW      255
	MOVWF      PORTB+0
;clock_testing.c,22 :: 		CMCON = 0x07;               //disable comperators
	MOVLW      7
	MOVWF      CMCON+0
;clock_testing.c,23 :: 		ADCON1 = 0b11001110;
	MOVLW      206
	MOVWF      ADCON1+0
;clock_testing.c,24 :: 		I2C1_Init(100000);
	MOVLW      20
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;clock_testing.c,25 :: 		init_ds3231();
	CALL       _init_ds3231+0
;clock_testing.c,27 :: 		for(;;){ sec = 0x00;
L_main0:
	CLRF       main_sec_L0+0
;clock_testing.c,28 :: 		if((read_ds3231(0x0F) & 0x01)==0b1) {
	MOVLW      15
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      1
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main3
;clock_testing.c,29 :: 		mn = (0x7F & read_ds3231(0x01));
	MOVLW      1
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      127
	ANDWF      R0+0, 0
	MOVWF      main_mn_L0+0
;clock_testing.c,30 :: 		hr = (0x1F & read_ds3231(0x02));
	MOVLW      2
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      31
	ANDWF      R0+0, 0
	MOVWF      main_hr_L0+0
;clock_testing.c,33 :: 		tmp_C = read_display_temp();
	CALL       _read_display_temp+0
	MOVF       R0+0, 0
	MOVWF      main_tmp_C_L0+0
	MOVF       R0+1, 0
	MOVWF      main_tmp_C_L0+1
;clock_testing.c,34 :: 		a100 = tmp_C/100;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      main_a100_L0+0
;clock_testing.c,35 :: 		a10 = (tmp_C/10)%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       main_tmp_C_L0+0, 0
	MOVWF      R0+0
	MOVF       main_tmp_C_L0+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      main_a10_L0+0
;clock_testing.c,36 :: 		a1 = tmp_C%10; //}
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       main_tmp_C_L0+0, 0
	MOVWF      R0+0
	MOVF       main_tmp_C_L0+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      main_a1_L0+0
;clock_testing.c,37 :: 		write_ds3231(0x0F, (read_ds3231(0x0F) & 0b11111110));}     //clear flag 0x0F.F0
	MOVLW      15
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      254
	ANDWF      R0+0, 0
	MOVWF      FARG_write_ds3231_data1+0
	MOVLW      15
	MOVWF      FARG_write_ds3231_address+0
	CALL       _write_ds3231+0
L_main3:
;clock_testing.c,38 :: 		do
L_main4:
;clock_testing.c,40 :: 		display(hr, 1);
	MOVF       main_hr_L0+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      1
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,41 :: 		display(mn, 3);
	MOVF       main_mn_L0+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      3
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,43 :: 		PORTC.F0 = 1; PORTA.F1 = 1; PORTA.F2 = 1; PORTA.F3 = 1;
	BSF        PORTC+0, 0
	BSF        PORTA+0, 1
	BSF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,44 :: 		PORTA.F4 = 0; PORTA.F5 = 1; PORTC.F2 = 1;
	BCF        PORTA+0, 4
	BSF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,45 :: 		display_segment(a100);           //T100(1st digit of TT.T)
	MOVF       main_a100_L0+0, 0
	MOVWF      FARG_display_segment_b+0
	CALL       _display_segment+0
;clock_testing.c,46 :: 		delay_ms(5);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	NOP
	NOP
;clock_testing.c,48 :: 		PORTC.F0 = 1; PORTA.F1 = 1; PORTA.F2 = 1; PORTA.F3 = 1;
	BSF        PORTC+0, 0
	BSF        PORTA+0, 1
	BSF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,49 :: 		PORTA.F4 = 1; PORTA.F5 = 0; PORTC.F2 = 1;
	BSF        PORTA+0, 4
	BCF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,50 :: 		display_segment(a10);             //T10  (2nd digit of TT.T)
	MOVF       main_a10_L0+0, 0
	MOVWF      FARG_display_segment_b+0
	CALL       _display_segment+0
;clock_testing.c,51 :: 		delay_ms(5);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main8:
	DECFSZ     R13+0, 1
	GOTO       L_main8
	DECFSZ     R12+0, 1
	GOTO       L_main8
	NOP
	NOP
;clock_testing.c,53 :: 		PORTC.F0 = 1; PORTA.F1 = 1; PORTA.F2 = 1; PORTA.F3 = 1;
	BSF        PORTC+0, 0
	BSF        PORTA+0, 1
	BSF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,54 :: 		PORTA.F4 = 1; PORTA.F5 = 1; PORTC.F2 = 0;
	BSF        PORTA+0, 4
	BSF        PORTA+0, 5
	BCF        PORTC+0, 2
;clock_testing.c,55 :: 		display_segment(a1);             //Tf  (Fraction digit of TT.T)
	MOVF       main_a1_L0+0, 0
	MOVWF      FARG_display_segment_b+0
	CALL       _display_segment+0
;clock_testing.c,56 :: 		delay_ms(5);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	DECFSZ     R12+0, 1
	GOTO       L_main9
	NOP
	NOP
;clock_testing.c,58 :: 		if(abs((read_ds3231(0x00))-sec)>0) PORTC.F6=~PORTC.F6; //blinking LED every second
	CLRF       FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVF       main_sec_L0+0, 0
	SUBWF      R0+0, 0
	MOVWF      FARG_abs_a+0
	CLRF       FARG_abs_a+1
	BTFSS      STATUS+0, 0
	DECF       FARG_abs_a+1, 1
	CALL       _abs+0
	MOVLW      128
	MOVWF      R2+0
	MOVLW      128
	XORWF      R0+1, 0
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main84
	MOVF       R0+0, 0
	SUBLW      0
L__main84:
	BTFSC      STATUS+0, 0
	GOTO       L_main10
	MOVLW      64
	XORWF      PORTC+0, 1
L_main10:
;clock_testing.c,59 :: 		sec=read_ds3231(0x00);
	CLRF       FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVF       R0+0, 0
	MOVWF      main_sec_L0+0
;clock_testing.c,60 :: 		if(read_button()==1)select_digit(mn, hr);
	CALL       _read_button+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main11
	MOVF       main_mn_L0+0, 0
	MOVWF      FARG_select_digit_mn+0
	MOVF       main_hr_L0+0, 0
	MOVWF      FARG_select_digit_hr+0
	CALL       _select_digit+0
L_main11:
;clock_testing.c,61 :: 		if (mn == 0x00) Buzzer();
	MOVF       main_mn_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main12
	CALL       _Buzzer+0
L_main12:
;clock_testing.c,62 :: 		if((read_ds3231(0x0F) & 0b00000001)==0x01) break;
	MOVLW      15
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      1
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main13
	GOTO       L_main5
L_main13:
;clock_testing.c,63 :: 		} while((read_ds3231(0x0F) & 0b00000001)==0x00);}
	MOVLW      15
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      1
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main4
L_main5:
	GOTO       L_main0
;clock_testing.c,64 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_display:

;clock_testing.c,66 :: 		void display (unsigned short a, unsigned short p){
;clock_testing.c,67 :: 		switch(p){
	GOTO       L_display14
;clock_testing.c,68 :: 		case 1 :{
L_display16:
;clock_testing.c,69 :: 		PORTC.F0 = 0; PORTA.F1 = 1; PORTA.F2 = 1; PORTA.F3 = 1;
	BCF        PORTC+0, 0
	BSF        PORTA+0, 1
	BSF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,70 :: 		PORTA.F4 = 1; PORTA.F5 = 1; PORTC.F2 = 1;
	BSF        PORTA+0, 4
	BSF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,71 :: 		display_segment(a>>4);  //Hr10
	MOVF       FARG_display_a+0, 0
	MOVWF      FARG_display_segment_b+0
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	CALL       _display_segment+0
;clock_testing.c,72 :: 		delay_ms(5);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_display17:
	DECFSZ     R13+0, 1
	GOTO       L_display17
	DECFSZ     R12+0, 1
	GOTO       L_display17
	NOP
	NOP
;clock_testing.c,74 :: 		PORTC.F0 = 1; PORTA.F1 = 0; PORTA.F2 = 1; PORTA.F3 = 1;
	BSF        PORTC+0, 0
	BCF        PORTA+0, 1
	BSF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,75 :: 		PORTA.F4 = 1; PORTA.F5 = 1; PORTC.F2 = 1;
	BSF        PORTA+0, 4
	BSF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,76 :: 		display_segment(a & 0x0F); //Hr1
	MOVLW      15
	ANDWF      FARG_display_a+0, 0
	MOVWF      FARG_display_segment_b+0
	CALL       _display_segment+0
;clock_testing.c,77 :: 		delay_ms(5);} break;
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_display18:
	DECFSZ     R13+0, 1
	GOTO       L_display18
	DECFSZ     R12+0, 1
	GOTO       L_display18
	NOP
	NOP
	GOTO       L_display15
;clock_testing.c,78 :: 		case 3 : {
L_display19:
;clock_testing.c,79 :: 		PORTC.F0 = 1; PORTA.F1 = 1; PORTA.F2 = 0; PORTA.F3 = 1;
	BSF        PORTC+0, 0
	BSF        PORTA+0, 1
	BCF        PORTA+0, 2
	BSF        PORTA+0, 3
;clock_testing.c,80 :: 		PORTA.F4 = 1; PORTA.F5 = 1; PORTC.F2 = 1;
	BSF        PORTA+0, 4
	BSF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,81 :: 		display_segment(a>>4);    //mn10
	MOVF       FARG_display_a+0, 0
	MOVWF      FARG_display_segment_b+0
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	RRF        FARG_display_segment_b+0, 1
	BCF        FARG_display_segment_b+0, 7
	CALL       _display_segment+0
;clock_testing.c,82 :: 		delay_ms(5);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_display20:
	DECFSZ     R13+0, 1
	GOTO       L_display20
	DECFSZ     R12+0, 1
	GOTO       L_display20
	NOP
	NOP
;clock_testing.c,84 :: 		PORTC.F0 = 1; PORTA.F1 = 1; PORTA.F2 = 1; PORTA.F3 = 0;
	BSF        PORTC+0, 0
	BSF        PORTA+0, 1
	BSF        PORTA+0, 2
	BCF        PORTA+0, 3
;clock_testing.c,85 :: 		PORTA.F4 = 1; PORTA.F5 = 1; PORTC.F2 = 1;
	BSF        PORTA+0, 4
	BSF        PORTA+0, 5
	BSF        PORTC+0, 2
;clock_testing.c,86 :: 		display_segment(a & 0x0F);      //mn1
	MOVLW      15
	ANDWF      FARG_display_a+0, 0
	MOVWF      FARG_display_segment_b+0
	CALL       _display_segment+0
;clock_testing.c,87 :: 		delay_ms(5); } break;
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_display21:
	DECFSZ     R13+0, 1
	GOTO       L_display21
	DECFSZ     R12+0, 1
	GOTO       L_display21
	NOP
	NOP
	GOTO       L_display15
;clock_testing.c,88 :: 		}}
L_display14:
	MOVF       FARG_display_p+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_display16
	MOVF       FARG_display_p+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_display19
L_display15:
L_end_display:
	RETURN
; end of _display

_init_ds3231:

;clock_testing.c,90 :: 		void init_ds3231(){
;clock_testing.c,91 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;clock_testing.c,92 :: 		I2C1_Wr(0xD0); //address of ds3231 setting 15/4/2015 11:20:20AM,sunday
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,93 :: 		I2C1_Wr(0X00);       //address of sec register, 00h
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,94 :: 		I2C1_Wr(0x50);       //data of sec register, 50h
	MOVLW      80
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,95 :: 		I2C1_Wr(0x59);       //data for minute register at 01h address 59-0101 1001
	MOVLW      89
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,96 :: 		I2C1_Wr(0x51);      //data of hr register,0101 0001 =11 at 02h
	MOVLW      81
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,97 :: 		I2C1_Wr(0x01);    //data of day register, 01-07,sunday=01 at 03h ok
	MOVLW      1
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,98 :: 		I2C1_Wr(0x15);    //data of date register, 01-31, day-15=0001 0101 at 04h
	MOVLW      21
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,99 :: 		I2C1_Wr(0x06);    //data of month register, 01-12, june=0000 0110 at 05h
	MOVLW      6
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,100 :: 		I2C1_Wr(0x15);    //data of yr register, 00-99, 15=0001 0101 at 06h
	MOVLW      21
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,101 :: 		I2C1_Wr(0x00);    //data of alarm1 at 07h
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,102 :: 		I2C1_Wr(0x80);    //data of alarm1 at 08h
	MOVLW      128
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,103 :: 		I2C1_Wr(0x80);    //data of alarm1 at 09h
	MOVLW      128
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,104 :: 		I2C1_Wr(0x80);    //data of alarm1 at 0Ah
	MOVLW      128
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,105 :: 		I2C1_Wr(0x00);    //data of alarm2 at 0Bh
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,106 :: 		I2C1_Wr(0x00);    //data of alarm2 at 0Ch
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,107 :: 		I2C1_Wr(0x00);    //data of alarm2 at 0Dh
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,108 :: 		I2C1_Wr(0x25);    //osc running, conv enable, alarm at 00 sec 0010 0101 address 0Eh
	MOVLW      37
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,109 :: 		I2C1_Stop(); }
	CALL       _I2C1_Stop+0
L_end_init_ds3231:
	RETURN
; end of _init_ds3231

_write_ds3231:

;clock_testing.c,111 :: 		void write_ds3231(unsigned short address, unsigned short data1){
;clock_testing.c,112 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;clock_testing.c,113 :: 		I2C1_Is_Idle();
	CALL       _I2C1_Is_Idle+0
;clock_testing.c,114 :: 		I2C1_Wr(0xD0);
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,115 :: 		I2C1_Is_Idle();
	CALL       _I2C1_Is_Idle+0
;clock_testing.c,116 :: 		I2C1_Wr(address);
	MOVF       FARG_write_ds3231_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,117 :: 		I2C1_Is_Idle();
	CALL       _I2C1_Is_Idle+0
;clock_testing.c,118 :: 		I2C1_Wr(data1);
	MOVF       FARG_write_ds3231_data1+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,119 :: 		I2C1_Is_Idle();
	CALL       _I2C1_Is_Idle+0
;clock_testing.c,120 :: 		I2C1_Stop();}
	CALL       _I2C1_Stop+0
L_end_write_ds3231:
	RETURN
; end of _write_ds3231

_read_ds3231:

;clock_testing.c,122 :: 		unsigned short read_ds3231(unsigned short address) {
;clock_testing.c,123 :: 		unsigned short data1=0;
	CLRF       read_ds3231_data1_L0+0
;clock_testing.c,125 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;clock_testing.c,126 :: 		I2C1_Wr(0xD0);
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,127 :: 		I2C1_Wr(address);
	MOVF       FARG_read_ds3231_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,128 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;clock_testing.c,129 :: 		I2C1_Wr(0xD1);
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;clock_testing.c,130 :: 		data1 = I2C1_Rd(0u);
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      read_ds3231_data1_L0+0
;clock_testing.c,131 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;clock_testing.c,132 :: 		for(i=0;;i++) {
L_read_ds323122:
;clock_testing.c,133 :: 		if (I2C1_Wr(0xD1)==1){I2C1_start();}
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_read_ds323125
	CALL       _I2C1_Start+0
	GOTO       L_read_ds323126
L_read_ds323125:
;clock_testing.c,134 :: 		else break; }
	GOTO       L_read_ds323123
L_read_ds323126:
	GOTO       L_read_ds323122
L_read_ds323123:
;clock_testing.c,135 :: 		I2C1_Is_Idle();
	CALL       _I2C1_Is_Idle+0
;clock_testing.c,136 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;clock_testing.c,137 :: 		return(data1);}
	MOVF       read_ds3231_data1_L0+0, 0
	MOVWF      R0+0
L_end_read_ds3231:
	RETURN
; end of _read_ds3231

_display_segment:

;clock_testing.c,139 :: 		void display_segment(short int u){
;clock_testing.c,140 :: 		switch(u){
	GOTO       L_display_segment27
;clock_testing.c,141 :: 		case 0 : PORTB = 0b01111110; break;     //0  ; segment a=PortB.F1, g=PORTB.F7
L_display_segment29:
	MOVLW      126
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,142 :: 		case 1 : PORTB = 0b00001100; break;
L_display_segment30:
	MOVLW      12
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,143 :: 		case 2 : PORTB = 0b10110110; break;
L_display_segment31:
	MOVLW      182
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,144 :: 		case 3 : PORTB = 0b10011110; break;
L_display_segment32:
	MOVLW      158
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,145 :: 		case 4 : PORTB = 0b11001100; break;
L_display_segment33:
	MOVLW      204
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,146 :: 		case 5 : PORTB = 0b11011010; break;
L_display_segment34:
	MOVLW      218
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,147 :: 		case 6 : PORTB = 0b11111010; break;
L_display_segment35:
	MOVLW      250
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,148 :: 		case 7 : PORTB = 0b00001110; break;
L_display_segment36:
	MOVLW      14
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,149 :: 		case 8 : PORTB = 0b11111110; break;
L_display_segment37:
	MOVLW      254
	MOVWF      PORTB+0
	GOTO       L_display_segment28
;clock_testing.c,150 :: 		case 9 : PORTB = 0b11011110; break;}}   //9
L_display_segment38:
	MOVLW      222
	MOVWF      PORTB+0
	GOTO       L_display_segment28
L_display_segment27:
	MOVF       FARG_display_segment_u+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment29
	MOVF       FARG_display_segment_u+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment30
	MOVF       FARG_display_segment_u+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment31
	MOVF       FARG_display_segment_u+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment32
	MOVF       FARG_display_segment_u+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment33
	MOVF       FARG_display_segment_u+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment34
	MOVF       FARG_display_segment_u+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment35
	MOVF       FARG_display_segment_u+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment36
	MOVF       FARG_display_segment_u+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment37
	MOVF       FARG_display_segment_u+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_display_segment38
L_display_segment28:
L_end_display_segment:
	RETURN
; end of _display_segment

_select_digit:

;clock_testing.c,152 :: 		void select_digit(unsigned short mn, unsigned short hr){
;clock_testing.c,154 :: 		PORTA.F4 = PORTA.F5 =PORTC.F2=1;
	BSF        PORTC+0, 2
	BTFSC      PORTC+0, 2
	GOTO       L__select_digit91
	BCF        PORTA+0, 5
	GOTO       L__select_digit92
L__select_digit91:
	BSF        PORTA+0, 5
L__select_digit92:
	BTFSC      PORTA+0, 5
	GOTO       L__select_digit93
	BCF        PORTA+0, 4
	GOTO       L__select_digit94
L__select_digit93:
	BSF        PORTA+0, 4
L__select_digit94:
;clock_testing.c,155 :: 		for(;;){
L_select_digit39:
;clock_testing.c,156 :: 		display(mn, 3);
	MOVF       FARG_select_digit_mn+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      3
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,158 :: 		Delay_ms(1000); //blinking mn10, mn1
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_select_digit42:
	DECFSZ     R13+0, 1
	GOTO       L_select_digit42
	DECFSZ     R12+0, 1
	GOTO       L_select_digit42
	DECFSZ     R11+0, 1
	GOTO       L_select_digit42
	NOP
	NOP
;clock_testing.c,159 :: 		if(PORTA.F0==0){
	BTFSC      PORTA+0, 0
	GOTO       L_select_digit43
;clock_testing.c,160 :: 		key = read_button();
	CALL       _read_button+0
	MOVF       R0+0, 0
	MOVWF      select_digit_key_L0+0
;clock_testing.c,161 :: 		while(key==2){
L_select_digit44:
	MOVF       select_digit_key_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_select_digit45
;clock_testing.c,162 :: 		mn = Bcd2Dec(mn);
	MOVF       FARG_select_digit_mn+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_mn+0
;clock_testing.c,163 :: 		mn++;
	INCF       R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      FARG_select_digit_mn+0
;clock_testing.c,164 :: 		if(mn > 59) mn = 0;
	MOVF       R1+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_select_digit46
	CLRF       FARG_select_digit_mn+0
L_select_digit46:
;clock_testing.c,165 :: 		mn = Dec2Bcd(mn);
	MOVF       FARG_select_digit_mn+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_mn+0
;clock_testing.c,166 :: 		display(mn, 3);
	MOVF       R0+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      3
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,167 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_select_digit47:
	DECFSZ     R13+0, 1
	GOTO       L_select_digit47
	DECFSZ     R12+0, 1
	GOTO       L_select_digit47
	DECFSZ     R11+0, 1
	GOTO       L_select_digit47
	NOP
	NOP
;clock_testing.c,168 :: 		key = read_button();}}
	CALL       _read_button+0
	MOVF       R0+0, 0
	MOVWF      select_digit_key_L0+0
	GOTO       L_select_digit44
L_select_digit45:
L_select_digit43:
;clock_testing.c,169 :: 		display(hr, 1);
	MOVF       FARG_select_digit_hr+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      1
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,170 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_select_digit48:
	DECFSZ     R13+0, 1
	GOTO       L_select_digit48
	DECFSZ     R12+0, 1
	GOTO       L_select_digit48
	DECFSZ     R11+0, 1
	GOTO       L_select_digit48
	NOP
	NOP
;clock_testing.c,173 :: 		if(PORTA.F0==0){
	BTFSC      PORTA+0, 0
	GOTO       L_select_digit49
;clock_testing.c,174 :: 		key = read_button();
	CALL       _read_button+0
	MOVF       R0+0, 0
	MOVWF      select_digit_key_L0+0
;clock_testing.c,175 :: 		while(key==2){
L_select_digit50:
	MOVF       select_digit_key_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_select_digit51
;clock_testing.c,176 :: 		hr = Bcd2Dec(hr);
	MOVF       FARG_select_digit_hr+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_hr+0
;clock_testing.c,177 :: 		hr++;
	INCF       R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      FARG_select_digit_hr+0
;clock_testing.c,178 :: 		if(hr > 12)hr = 0;
	MOVF       R1+0, 0
	SUBLW      12
	BTFSC      STATUS+0, 0
	GOTO       L_select_digit52
	CLRF       FARG_select_digit_hr+0
L_select_digit52:
;clock_testing.c,179 :: 		hr = Dec2Bcd(hr);
	MOVF       FARG_select_digit_hr+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_hr+0
;clock_testing.c,180 :: 		display(hr, 1);
	MOVF       R0+0, 0
	MOVWF      FARG_display_a+0
	MOVLW      1
	MOVWF      FARG_display_p+0
	CALL       _display+0
;clock_testing.c,181 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_select_digit53:
	DECFSZ     R13+0, 1
	GOTO       L_select_digit53
	DECFSZ     R12+0, 1
	GOTO       L_select_digit53
	DECFSZ     R11+0, 1
	GOTO       L_select_digit53
	NOP
	NOP
;clock_testing.c,182 :: 		key = read_button();}
	CALL       _read_button+0
	MOVF       R0+0, 0
	MOVWF      select_digit_key_L0+0
	GOTO       L_select_digit50
L_select_digit51:
;clock_testing.c,183 :: 		if(key==3){
	MOVF       select_digit_key_L0+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_select_digit54
;clock_testing.c,184 :: 		hr=0b00011111&hr;
	MOVLW      31
	ANDWF      FARG_select_digit_hr+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_hr+0
;clock_testing.c,185 :: 		hr=0b01000000|hr;
	BSF        R0+0, 6
	MOVF       R0+0, 0
	MOVWF      FARG_select_digit_hr+0
;clock_testing.c,186 :: 		write_ds3231(0x02, hr);
	MOVLW      2
	MOVWF      FARG_write_ds3231_address+0
	MOVF       R0+0, 0
	MOVWF      FARG_write_ds3231_data1+0
	CALL       _write_ds3231+0
;clock_testing.c,187 :: 		write_ds3231(0x01, mn);}}
	MOVLW      1
	MOVWF      FARG_write_ds3231_address+0
	MOVF       FARG_select_digit_mn+0, 0
	MOVWF      FARG_write_ds3231_data1+0
	CALL       _write_ds3231+0
L_select_digit54:
L_select_digit49:
;clock_testing.c,188 :: 		if(key==3)break;}}
	MOVF       select_digit_key_L0+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_select_digit55
	GOTO       L_select_digit40
L_select_digit55:
	GOTO       L_select_digit39
L_select_digit40:
L_end_select_digit:
	RETURN
; end of _select_digit

_read_button:

;clock_testing.c,190 :: 		unsigned short read_button(void){
;clock_testing.c,191 :: 		unsigned int Vin=0;
	CLRF       read_button_Vin_L0+0
	CLRF       read_button_Vin_L0+1
	CLRF       read_button_val_L0+0
;clock_testing.c,193 :: 		TRISA = 0x01;
	MOVLW      1
	MOVWF      TRISA+0
;clock_testing.c,194 :: 		ADCON1 = 0b11001110;
	MOVLW      206
	MOVWF      ADCON1+0
;clock_testing.c,195 :: 		Vin = ADCRead(0);
	CLRF       FARG_ADCRead_channel+0
	CALL       _ADCRead+0
	MOVF       R0+0, 0
	MOVWF      read_button_Vin_L0+0
	MOVF       R0+1, 0
	MOVWF      read_button_Vin_L0+1
;clock_testing.c,196 :: 		if((Vin > 30) && (Vin < 250)) val = 1;               // select hr or min
	MOVF       R0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__read_button96
	MOVF       R0+0, 0
	SUBLW      30
L__read_button96:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button58
	MOVLW      0
	SUBWF      read_button_Vin_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__read_button97
	MOVLW      250
	SUBWF      read_button_Vin_L0+0, 0
L__read_button97:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button58
L__read_button82:
	MOVLW      1
	MOVWF      read_button_val_L0+0
L_read_button58:
;clock_testing.c,197 :: 		if((Vin > 410) && (Vin < 470)) val = 2;               // increase value of hr or min
	MOVF       read_button_Vin_L0+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__read_button98
	MOVF       read_button_Vin_L0+0, 0
	SUBLW      154
L__read_button98:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button61
	MOVLW      1
	SUBWF      read_button_Vin_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__read_button99
	MOVLW      214
	SUBWF      read_button_Vin_L0+0, 0
L__read_button99:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button61
L__read_button81:
	MOVLW      2
	MOVWF      read_button_val_L0+0
L_read_button61:
;clock_testing.c,198 :: 		if((Vin > 600) && (Vin < 670)) val = 3;              // come out from change loop
	MOVF       read_button_Vin_L0+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__read_button100
	MOVF       read_button_Vin_L0+0, 0
	SUBLW      88
L__read_button100:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button64
	MOVLW      2
	SUBWF      read_button_Vin_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__read_button101
	MOVLW      158
	SUBWF      read_button_Vin_L0+0, 0
L__read_button101:
	BTFSC      STATUS+0, 0
	GOTO       L_read_button64
L__read_button80:
	MOVLW      3
	MOVWF      read_button_val_L0+0
L_read_button64:
;clock_testing.c,199 :: 		return val;}
	MOVF       read_button_val_L0+0, 0
	MOVWF      R0+0
L_end_read_button:
	RETURN
; end of _read_button

_ADCRead:

;clock_testing.c,201 :: 		unsigned int ADCRead(unsigned char channel){
;clock_testing.c,204 :: 		l_byte=h_byte=ADR=0;
	CLRF       R4+0
	CLRF       R3+0
;clock_testing.c,205 :: 		ADCON0 = 0b01000101;
	MOVLW      69
	MOVWF      ADCON0+0
;clock_testing.c,206 :: 		delay_us(40); //Acquisition Delay
	MOVLW      26
	MOVWF      R13+0
L_ADCRead65:
	DECFSZ     R13+0, 1
	GOTO       L_ADCRead65
	NOP
;clock_testing.c,207 :: 		GO_DONE_bit = 1; //Set GO_DONE bit to start conversion
	BSF        GO_DONE_bit+0, BitPos(GO_DONE_bit+0)
;clock_testing.c,208 :: 		while (GO_DONE_bit == 1); //Wait for bit to be cleared
L_ADCRead66:
	BTFSS      GO_DONE_bit+0, BitPos(GO_DONE_bit+0)
	GOTO       L_ADCRead67
	GOTO       L_ADCRead66
L_ADCRead67:
;clock_testing.c,210 :: 		l_byte = ADRESL;
	MOVF       ADRESL+0, 0
	MOVWF      R3+0
;clock_testing.c,211 :: 		h_byte = ADRESH;
	MOVF       ADRESH+0, 0
	MOVWF      R4+0
;clock_testing.c,212 :: 		ADR = (h_byte<<8)|l_byte;
	MOVF       R4+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       R3+0, 0
	IORWF      R0+0, 1
	MOVLW      0
	IORWF      R0+1, 1
;clock_testing.c,213 :: 		return ADR;}
L_end_ADCRead:
	RETURN
; end of _ADCRead

_read_display_temp:

;clock_testing.c,215 :: 		unsigned int read_display_temp(void){
;clock_testing.c,218 :: 		T_fraction=tempU=tempL=test=tmp_C = 0;
	CLRF       read_display_temp_tempL_L0+0
	CLRF       read_display_temp_tempU_L0+0
	CLRF       read_display_temp_T_fraction_L0+0
;clock_testing.c,220 :: 		tempU = read_ds3231(0x11);
	MOVLW      17
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVF       R0+0, 0
	MOVWF      read_display_temp_tempU_L0+0
;clock_testing.c,221 :: 		tempL = (read_ds3231(0x12)) >> 6;
	MOVLW      18
	MOVWF      FARG_read_ds3231_address+0
	CALL       _read_ds3231+0
	MOVLW      6
	MOVWF      R1+0
	MOVF       R0+0, 0
	MOVWF      read_display_temp_tempL_L0+0
	MOVF       R1+0, 0
L__read_display_temp104:
	BTFSC      STATUS+0, 2
	GOTO       L__read_display_temp105
	RRF        read_display_temp_tempL_L0+0, 1
	BCF        read_display_temp_tempL_L0+0, 7
	ADDLW      255
	GOTO       L__read_display_temp104
L__read_display_temp105:
;clock_testing.c,222 :: 		if (tempU & 0x80){
	BTFSS      read_display_temp_tempU_L0+0, 7
	GOTO       L_read_display_temp68
;clock_testing.c,223 :: 		tempU = ~tempU + 1;
	COMF       read_display_temp_tempU_L0+0, 1
	INCF       read_display_temp_tempU_L0+0, 1
;clock_testing.c,224 :: 		PORTC.F5 = 1;}        //whether tmp is negitive
	BSF        PORTC+0, 5
	GOTO       L_read_display_temp69
L_read_display_temp68:
;clock_testing.c,225 :: 		else PORTC.F5 = 0;
	BCF        PORTC+0, 5
L_read_display_temp69:
;clock_testing.c,226 :: 		if (tempL == 0b00) T_fraction = 0;
	MOVF       read_display_temp_tempL_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_read_display_temp70
	CLRF       read_display_temp_T_fraction_L0+0
	GOTO       L_read_display_temp71
L_read_display_temp70:
;clock_testing.c,227 :: 		else if (tempL == 0b01) T_fraction = 2;
	MOVF       read_display_temp_tempL_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_read_display_temp72
	MOVLW      2
	MOVWF      read_display_temp_T_fraction_L0+0
	GOTO       L_read_display_temp73
L_read_display_temp72:
;clock_testing.c,228 :: 		else if (tempL == 0b10) T_fraction = 5;
	MOVF       read_display_temp_tempL_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_read_display_temp74
	MOVLW      5
	MOVWF      read_display_temp_T_fraction_L0+0
	GOTO       L_read_display_temp75
L_read_display_temp74:
;clock_testing.c,229 :: 		else T_fraction = 7;
	MOVLW      7
	MOVWF      read_display_temp_T_fraction_L0+0
L_read_display_temp75:
L_read_display_temp73:
L_read_display_temp71:
;clock_testing.c,230 :: 		tmp_C  = tempU*10 + T_fraction;
	MOVF       read_display_temp_tempU_L0+0, 0
	MOVWF      R0+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       read_display_temp_T_fraction_L0+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;clock_testing.c,231 :: 		return (tmp_C);}
L_end_read_display_temp:
	RETURN
; end of _read_display_temp

_Buzzer:

;clock_testing.c,233 :: 		void Buzzer(){
;clock_testing.c,235 :: 		Sound_Init(&PORTC, 1);
	MOVLW      PORTC+0
	MOVWF      FARG_Sound_Init_snd_port+0
	MOVLW      1
	MOVWF      FARG_Sound_Init_snd_pin+0
	CALL       _Sound_Init+0
;clock_testing.c,236 :: 		for (i = 0; i < 5; i++) {
	CLRF       Buzzer_i_L0+0
L_Buzzer76:
	MOVLW      128
	XORWF      Buzzer_i_L0+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      5
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Buzzer77
;clock_testing.c,237 :: 		Sound_Play(800, 1000);
	MOVLW      32
	MOVWF      FARG_Sound_Play_freq_in_hz+0
	MOVLW      3
	MOVWF      FARG_Sound_Play_freq_in_hz+1
	MOVLW      232
	MOVWF      FARG_Sound_Play_duration_ms+0
	MOVLW      3
	MOVWF      FARG_Sound_Play_duration_ms+1
	CALL       _Sound_Play+0
;clock_testing.c,238 :: 		Sound_Play(0, 700);
	CLRF       FARG_Sound_Play_freq_in_hz+0
	CLRF       FARG_Sound_Play_freq_in_hz+1
	MOVLW      188
	MOVWF      FARG_Sound_Play_duration_ms+0
	MOVLW      2
	MOVWF      FARG_Sound_Play_duration_ms+1
	CALL       _Sound_Play+0
;clock_testing.c,239 :: 		if(i==4) Sound_Play(800, 1400);
	MOVF       Buzzer_i_L0+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_Buzzer79
	MOVLW      32
	MOVWF      FARG_Sound_Play_freq_in_hz+0
	MOVLW      3
	MOVWF      FARG_Sound_Play_freq_in_hz+1
	MOVLW      120
	MOVWF      FARG_Sound_Play_duration_ms+0
	MOVLW      5
	MOVWF      FARG_Sound_Play_duration_ms+1
	CALL       _Sound_Play+0
L_Buzzer79:
;clock_testing.c,236 :: 		for (i = 0; i < 5; i++) {
	INCF       Buzzer_i_L0+0, 1
;clock_testing.c,240 :: 		}}
	GOTO       L_Buzzer76
L_Buzzer77:
L_end_Buzzer:
	RETURN
; end of _Buzzer
